diff --git a/web/pgadmin/browser/server_groups/servers/gpdb.py b/web/pgadmin/browser/server_groups/servers/gpdb.py
index 048cd58ab..5242cb6ed 100644
--- a/web/pgadmin/browser/server_groups/servers/gpdb.py
+++ b/web/pgadmin/browser/server_groups/servers/gpdb.py
@@ -22,7 +22,7 @@ class GPDB(ServerType):
     def icon(self):
         return "gpdb.png"
 
-    def instanceOf(self, ver):
+    def instance_of(self, ver):
         return "Greenplum Database" in ver
 
 
diff --git a/web/pgadmin/browser/server_groups/servers/ppas.py b/web/pgadmin/browser/server_groups/servers/ppas.py
index 4d0fe123c..4b9641f0f 100644
--- a/web/pgadmin/browser/server_groups/servers/ppas.py
+++ b/web/pgadmin/browser/server_groups/servers/ppas.py
@@ -18,7 +18,7 @@ class PPAS(ServerType):
         " programs (pg_dump, pg_restore etc)."
     )
 
-    def instanceOf(self, ver):
+    def instance_of(self, ver):
         return "EnterpriseDB" in ver
 
 
diff --git a/web/pgadmin/browser/server_groups/servers/types.py b/web/pgadmin/browser/server_groups/servers/types.py
index 2cc0cd251..ad01c46bd 100644
--- a/web/pgadmin/browser/server_groups/servers/types.py
+++ b/web/pgadmin/browser/server_groups/servers/types.py
@@ -78,7 +78,7 @@ class ServerType(object):
             self.stype, self.desc, self.spriority
         )
 
-    def instanceOf(self, version):
+    def instance_of(self, version):
         return True
 
     @property
diff --git a/web/pgadmin/misc/file_manager/__init__.py b/web/pgadmin/misc/file_manager/__init__.py
index 293085d10..a3794dd66 100644
--- a/web/pgadmin/misc/file_manager/__init__.py
+++ b/web/pgadmin/misc/file_manager/__init__.py
@@ -1032,7 +1032,7 @@ class Filemanager(object):
         return result
 
     @staticmethod
-    def getNewName(dir, path, newName, count=1):
+    def get_new_name(dir, path, newName, count=1):
         """
         Utility to provide new name for folder if file
         with same name already exists
@@ -1046,7 +1046,7 @@ class Filemanager(object):
             newPath = u"{}/{}{}_{}".format(dir, path, newName, last_char)
             if path_exists(newPath):
                 count += 1
-                return Filemanager.getNewName(dir, path, newName, count)
+                return Filemanager.get_new_name(dir, path, newName, count)
             else:
                 return newPath, newName
 
@@ -1160,7 +1160,7 @@ class Filemanager(object):
                 code = 0
                 err_msg = gettext(u"Error: {0}").format(e.strerror)
         else:
-            newPath, newName = self.getNewName(dir, path, name)
+            newPath, newName = self.get_new_name(dir, path, name)
             try:
                 os.mkdir(newPath)
             except Exception as e:
diff --git a/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss b/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
index 1ce0bbf6b..bedb2b107 100644
--- a/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
+++ b/web/pgadmin/misc/file_manager/static/scss/_file_manager.scss
@@ -185,7 +185,7 @@
 }
 
 .upload_file .file_upload_main {
-  height: 127px;;
+  height: 127px;
   width: 120px;
   display: inline-block;
   margin: 0 15px 15px 0 !important;
@@ -345,7 +345,7 @@ table.tablesorter {
   table.tablesorter {
     th:focus,
     tr:focus {
-      border: 2px solid $input-focus-border-color !important;;
+      border: 2px solid $input-focus-border-color !important;
     }
   }
 
diff --git a/web/pgadmin/static/scss/_codemirror.overrides.scss b/web/pgadmin/static/scss/_codemirror.overrides.scss
index 24528d166..725e514e8 100644
--- a/web/pgadmin/static/scss/_codemirror.overrides.scss
+++ b/web/pgadmin/static/scss/_codemirror.overrides.scss
@@ -64,7 +64,7 @@
   & .cm-link {color: $color-editor-fg;}
 
   & :not(.cm-fat-cursor) .CodeMirror-cursor {
-    border-left: thin solid $color-editor-fg;;
+    border-left: thin solid $color-editor-fg;
     border-right: none;
     width: 0;
   }
diff --git a/web/pgadmin/static/scss/_pgadmin.style.scss b/web/pgadmin/static/scss/_pgadmin.style.scss
index c191e469a..6b9248d73 100644
--- a/web/pgadmin/static/scss/_pgadmin.style.scss
+++ b/web/pgadmin/static/scss/_pgadmin.style.scss
@@ -773,7 +773,7 @@ table tr td {
     td.edit-cell:focus,
     td.delete-cell:focus,
     td.string-cell:focus {
-      border: 2px solid $input-focus-border-color !important;;
+      border: 2px solid $input-focus-border-color !important;
     }
   }
 }
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 3cbac83db..ad71c7227 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -29,7 +29,7 @@ $color-success-light: #D9ECDA !default;
 
 $color-warning: #eea236 !default;
 $color-warning-fg: $black !default;
-$color-warning-light: #fce5c5 !default;;
+$color-warning-light: #fce5c5 !default;
 
 $color-gray-dark: #848ea0 !default;
 $color-gray: #bac1cd !default;
diff --git a/web/pgadmin/utils/driver/psycopg2/connection.py b/web/pgadmin/utils/driver/psycopg2/connection.py
index 50e03ad81..0683e4eff 100644
--- a/web/pgadmin/utils/driver/psycopg2/connection.py
+++ b/web/pgadmin/utils/driver/psycopg2/connection.py
@@ -509,7 +509,7 @@ WHERE
             server_types = ServerType.types()
 
         for st in server_types:
-            if st.instanceOf(manager.ver):
+            if st.instance_of(manager.ver):
                 manager.server_type = st.stype
                 manager.server_cls = st
                 break
diff --git a/web/pgadmin/utils/driver/psycopg2/server_manager.py b/web/pgadmin/utils/driver/psycopg2/server_manager.py
index 61bd1a1ca..64eac1d93 100644
--- a/web/pgadmin/utils/driver/psycopg2/server_manager.py
+++ b/web/pgadmin/utils/driver/psycopg2/server_manager.py
@@ -264,7 +264,7 @@ WHERE db.oid = {0}""".format(did))
 
         if self.ver and not self.server_type:
             for st in ServerType.types():
-                if st.instanceOf(self.ver):
+                if st.instance_of(self.ver):
                     self.server_type = st.stype
                     self.server_cls = st
                     break
